<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: cobs/cobs_encode.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_6fbc84a0760eaea03445dd1babf55b48.html">cobs</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">cobs_encode.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="cobs__encode_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef COBS_ENCODE_H</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#define COBS_ENCODE_H</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;stdbool.h&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="structcobs__encode.html">   18</a></span>&#160;    <span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structcobs__encode.html">cobs_encode</a></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    {</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="structcobs__encode.html#abe222f6d3581e7920dcad5306cc906a8">   20</a></span>&#160;        uint8_t* <a class="code" href="structcobs__encode.html#abe222f6d3581e7920dcad5306cc906a8">data</a>;</div><div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="structcobs__encode.html#a62b594cf8c0c23d9ddc89a92db771fd2">   21</a></span>&#160;        uint_fast32_t <a class="code" href="structcobs__encode.html#a62b594cf8c0c23d9ddc89a92db771fd2">length</a>;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="structcobs__encode.html#a920587de08a5ab22a362f687f94154e2">   22</a></span>&#160;        uint_fast32_t <a class="code" href="structcobs__encode.html#a920587de08a5ab22a362f687f94154e2">number_of_blocks</a>;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="structcobs__encode.html#a4268aaa1391ee1feafaa63e2e01f9b9e">   23</a></span>&#160;        uint_fast32_t <a class="code" href="structcobs__encode.html#a4268aaa1391ee1feafaa63e2e01f9b9e">block_counter</a>;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="structcobs__encode.html#a89fd1903809db6f6995513252af78a03">   24</a></span>&#160;        uint_fast8_t <a class="code" href="structcobs__encode.html#a89fd1903809db6f6995513252af78a03">current_block_index</a>;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="structcobs__encode.html#acfa1d51a76d22d3aecd40515a079721b">   25</a></span>&#160;        uint_fast8_t <a class="code" href="structcobs__encode.html#acfa1d51a76d22d3aecd40515a079721b">current_block_length</a>;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="structcobs__encode.html#a6a9589bf0caa37c5381ae088e88d2a80">   26</a></span>&#160;        uint8_t <a class="code" href="structcobs__encode.html#a6a9589bf0caa37c5381ae088e88d2a80">block</a>[256];</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    } <a class="code" href="cobs__encode_8h.html#a5d060ef14883511467832a8494748c9f">cobs_encode_t</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="cobs__encode_8h.html#a086b79b8adee98e03a64e81b8321ab82">cobs_encode_init</a>(<a class="code" href="structcobs__encode.html">cobs_encode_t</a>* cobs, uint8_t* <a class="code" href="structcobs__encode.html#abe222f6d3581e7920dcad5306cc906a8">data</a>,</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;                          uint_fast32_t <a class="code" href="structcobs__encode.html#a62b594cf8c0c23d9ddc89a92db771fd2">length</a>);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    uint_fast8_t <a class="code" href="cobs__encode_8h.html#af2da39f6cd07f94a3781955bf34736ad">cobs_encode_get_next</a>(<a class="code" href="structcobs__encode.html">cobs_encode_t</a>* cobs);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;}</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="structcobs__encode_html_a6a9589bf0caa37c5381ae088e88d2a80"><div class="ttname"><a href="structcobs__encode.html#a6a9589bf0caa37c5381ae088e88d2a80">cobs_encode::block</a></div><div class="ttdeci">uint8_t block[256]</div><div class="ttdef"><b>Definition:</b> cobs_encode.h:26</div></div>
<div class="ttc" id="structcobs__encode_html_abe222f6d3581e7920dcad5306cc906a8"><div class="ttname"><a href="structcobs__encode.html#abe222f6d3581e7920dcad5306cc906a8">cobs_encode::data</a></div><div class="ttdeci">uint8_t * data</div><div class="ttdef"><b>Definition:</b> cobs_encode.h:20</div></div>
<div class="ttc" id="structcobs__encode_html_a4268aaa1391ee1feafaa63e2e01f9b9e"><div class="ttname"><a href="structcobs__encode.html#a4268aaa1391ee1feafaa63e2e01f9b9e">cobs_encode::block_counter</a></div><div class="ttdeci">uint_fast32_t block_counter</div><div class="ttdef"><b>Definition:</b> cobs_encode.h:23</div></div>
<div class="ttc" id="structcobs__encode_html_a62b594cf8c0c23d9ddc89a92db771fd2"><div class="ttname"><a href="structcobs__encode.html#a62b594cf8c0c23d9ddc89a92db771fd2">cobs_encode::length</a></div><div class="ttdeci">uint_fast32_t length</div><div class="ttdef"><b>Definition:</b> cobs_encode.h:21</div></div>
<div class="ttc" id="cobs__encode_8h_html_a5d060ef14883511467832a8494748c9f"><div class="ttname"><a href="cobs__encode_8h.html#a5d060ef14883511467832a8494748c9f">cobs_encode_t</a></div><div class="ttdeci">struct cobs_encode cobs_encode_t</div></div>
<div class="ttc" id="structcobs__encode_html_a920587de08a5ab22a362f687f94154e2"><div class="ttname"><a href="structcobs__encode.html#a920587de08a5ab22a362f687f94154e2">cobs_encode::number_of_blocks</a></div><div class="ttdeci">uint_fast32_t number_of_blocks</div><div class="ttdef"><b>Definition:</b> cobs_encode.h:22</div></div>
<div class="ttc" id="structcobs__encode_html_acfa1d51a76d22d3aecd40515a079721b"><div class="ttname"><a href="structcobs__encode.html#acfa1d51a76d22d3aecd40515a079721b">cobs_encode::current_block_length</a></div><div class="ttdeci">uint_fast8_t current_block_length</div><div class="ttdef"><b>Definition:</b> cobs_encode.h:25</div></div>
<div class="ttc" id="structcobs__encode_html"><div class="ttname"><a href="structcobs__encode.html">cobs_encode</a></div><div class="ttdef"><b>Definition:</b> cobs_encode.h:18</div></div>
<div class="ttc" id="cobs__encode_8h_html_a086b79b8adee98e03a64e81b8321ab82"><div class="ttname"><a href="cobs__encode_8h.html#a086b79b8adee98e03a64e81b8321ab82">cobs_encode_init</a></div><div class="ttdeci">void cobs_encode_init(cobs_encode_t *cobs, uint8_t *data, uint_fast32_t length)</div><div class="ttdef"><b>Definition:</b> cobs_encode.c:15</div></div>
<div class="ttc" id="structcobs__encode_html_a89fd1903809db6f6995513252af78a03"><div class="ttname"><a href="structcobs__encode.html#a89fd1903809db6f6995513252af78a03">cobs_encode::current_block_index</a></div><div class="ttdeci">uint_fast8_t current_block_index</div><div class="ttdef"><b>Definition:</b> cobs_encode.h:24</div></div>
<div class="ttc" id="cobs__encode_8h_html_af2da39f6cd07f94a3781955bf34736ad"><div class="ttname"><a href="cobs__encode_8h.html#af2da39f6cd07f94a3781955bf34736ad">cobs_encode_get_next</a></div><div class="ttdeci">uint_fast8_t cobs_encode_get_next(cobs_encode_t *cobs)</div><div class="ttdef"><b>Definition:</b> cobs_encode.c:34</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
